///////////////////////////////////////////////////////////
// CSubTree.H 
///////////////////////////////////////////////////////////
// The Tree Class of GAPS 2

#define NODECHILDREN 10

class CSubTree  
{
public:
	CSubTree();
	CSubTree(TOKENTYPE InType, CString InVal);
	~CSubTree();

public:
	
	CSubTree* SetChild(int ChildIndex, CSubTree *Node);
	CSubTree* SetNextChild(CSubTree * Node);
	
	class CToken* GetToken();
	bool IsEmpty();

	CSubTree* GetChild(int ChildIndex);
	int GetChildCount();
	int GetNodeCount();
	int GetDepth(int CurrDepth);
	int GetDepth();

	TOKENTYPE GetType();
	CString & GetVal();
	void      SetType(TOKENTYPE InType);
	void      SetVal(CString InVal);



	void DeleteRecursive();

	CSubTree * CreateCopy();

	int m_NumArguments;

private:
	class CSubTree *Children[NODECHILDREN];    // Gonna say there won't be more than 10 children.
	class CToken *TheToken;

};
