#if !defined(AFX_DLGGAPSOUTPUT_H__E76D08A5_D0AD_45B5_9E2F_14539B254E35__INCLUDED_)
#define AFX_DLGGAPSOUTPUT_H__E76D08A5_D0AD_45B5_9E2F_14539B254E35__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgGAPSOutput.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDlgGAPSOutput dialog

class CDlgGAPSOutput : public CDialog
{
// Construction
public:
	CDlgGAPSOutput(CWnd* pParent = NULL);   // standard constructor

	void SetHRMember(CGAPSIndividual * HRMemberIn);
	void SetHREnvironment(CEnvironmentDoc * HREnvIn);
	CString BuildStringFromTree(CSubTree * NodeIn);
	void FillTree();
	void BuildTreeNode(HTREEITEM Parent, CSubTree * NodeIn);
	CString OutputCCode(CSubTree * NodeIn);
	CString GenCodeFromTree(CSubTree * NodeIn, int TabDepth);

// Dialog Data
	//{{AFX_DATA(CDlgGAPSOutput)
	enum { IDD = IDD_GAPSINDOUTPUT };
	CTreeCtrl	c_OutputTreeView;
	CButton	m_ViewTree;
	CButton	m_ViewList;
	CButton	m_ViewCode;
	CRichEditCtrl	m_OutputEditCtrl;
	CString	m_OutputText;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgGAPSOutput)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgGAPSOutput)
	afx_msg void OnViewlist();
	afx_msg void OnViewccode();
	afx_msg void OnViewtree();
	afx_msg void OnViewgraph();
	afx_msg void OnClose();
	afx_msg void OnGapssave();
	virtual BOOL OnInitDialog();
	afx_msg void OnQuickie();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
	class CGAPSIndividual * m_HRMember;
	class CEnvironmentDoc * m_HREnvironment;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGGAPSOUTPUT_H__E76D08A5_D0AD_45B5_9E2F_14539B254E35__INCLUDED_)
