// TabBaseProgram.cpp : implementation file
//

#include "stdafx.h"
#include "GAPS2.h"
#include "TabBaseProgram.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTabBaseProgram dialog


CTabBaseProgram::CTabBaseProgram(CWnd* pParent /*=NULL*/)
	: CDialog(CTabBaseProgram::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTabBaseProgram)
	//}}AFX_DATA_INIT
}


void CTabBaseProgram::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTabBaseProgram)
	DDX_Control(pDX, IDC_BASEPROGRAMPNL, c_BaseProgramEntryPanel);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTabBaseProgram, CDialog)
	//{{AFX_MSG_MAP(CTabBaseProgram)
	ON_WM_PAINT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTabBaseProgram message handlers

void CTabBaseProgram::OnCompilebase() 
{
	// 
	
}

void CTabBaseProgram::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	
	CFont OutputFont;
	OutputFont.CreateFont(14, 0, 0, 0, FW_NORMAL, 0, 0, 0,
		DEFAULT_CHARSET, OUT_CHARACTER_PRECIS, CLIP_DEFAULT_PRECIS, DRAFT_QUALITY, 
		FF_DONTCARE, "Arial");

	CRect OutputRect;
	GetClientRect(&OutputRect);

	OutputRect.left += (OutputRect.right - 374);
	OutputRect.top  += 6;

	CBrush BlackBG(RGB(0, 0, 0));

	dc.SelectObject(&OutputFont);
	dc.FillRect(&OutputRect, &BlackBG);
	dc.SetTextColor(RGB(40, 220, 220));
	dc.SetBkColor(RGB(0, 0, 0));
	dc.DrawText(CString("This is the base program, used to establish the foundation data of the environment, and to determine where GP-Lab will build the 'RPBs', or Result Producing Branches.  (i.e., the genetically evolved program or expressions.)  To state where in the base program you wish the evolved branch to be, simply place the quasi-function RPB( ) at that spot.  RPB( ) is context-sensitive; if you place it in a place where a statement is expected, it will generate one or more statements in its place.  If it is a place in which a function is expected, it will generate a contextually-correct function.\nExamples:\n     If (&&X > 2)\n          { RPB( ); }  --- Will generate a complex statement\n     While(RPB( )) {&&J := &&J + 1;}  --- Will generate a bool-returning tree\n     CalculateArea(&&Height, RPB( )); --- Will generate a number tree"), 
		OutputRect, DT_WORDBREAK);

		
	// Do not call CDialog::OnPaint() for painting messages
}
