#if !defined(AFX_TABGENERALPARMS_H__43F35117_498A_47DF_BC7F_908A69D586A7__INCLUDED_)
#define AFX_TABGENERALPARMS_H__43F35117_498A_47DF_BC7F_908A69D586A7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TabGeneralParms.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTabGeneralParms dialog

class CTabGeneralParms : public CDialog
{
// Construction
public:
	CTabGeneralParms(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CTabGeneralParms)
	enum { IDD = IDD_GENPARMS };
	CEdit	c_ShrinkageGenerations;
	CSliderCtrl	c_SelectionStratSlider;
	CButton	c_SelectionStratTourn;
	CButton	c_SelectionStratOver;
	CButton	c_SelectionStratFit;
	CEdit	c_SelectionParmText;
	CEdit	c_SelectionParmNum;
	CStatic	c_MinDepthText;
	CEdit	c_MinDepth;
	CStatic	c_MaxDepthText;
	CEdit	c_MaxDepth;
	CButton	c_GenStratHalf;
	CButton	c_GenStratGrow;
	CButton	c_GenStratFull;
	CEdit	c_FitnessThreshold;
	CEdit	c_AbsoluteTimeLimit;
	CEdit	c_HonorRollSize;
	CEdit	c_InitialPopulation;
	CEdit	c_MaxUnproductiveGens;
	CEdit	c_MutationRate;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTabGeneralParms)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTabGeneralParms)
	afx_msg void OnGenselGrow();
	afx_msg void OnGenselFull();
	afx_msg void OnGenselHalf();
	afx_msg void OnSelstratFitness();
	afx_msg void OnSelstratTourn();
	afx_msg void OnSelstratOver();
	afx_msg void OnReleasedcaptureSelstratslider(NMHDR* pNMHDR, LRESULT* pResult);
	virtual BOOL OnInitDialog();
	afx_msg void OnKillfocusMaxdepth();
	afx_msg void OnKillfocusMindepth();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
	double m_GroupISelPC;
	double m_GroupIISelPC;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TABGENERALPARMS_H__43F35117_498A_47DF_BC7F_908A69D586A7__INCLUDED_)
