// GAPSHRButton.cpp : implementation file
//

#include "stdafx.h"
#include "GAPS2.h"
#include "GAPSHRButton.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// GAPSHRButton

GAPSHRButton::GAPSHRButton()
{

}

GAPSHRButton::~GAPSHRButton()
{
}


BEGIN_MESSAGE_MAP(GAPSHRButton, CButton)
	//{{AFX_MSG_MAP(GAPSHRButton)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// GAPSHRButton message handlers


void GAPSHRButton::DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct) 
{

	CFont OutputFont;
	OutputFont.CreateFont(13, 0, 0, 0, FW_NORMAL, 0, 0, 0,
		DEFAULT_CHARSET, OUT_CHARACTER_PRECIS, CLIP_DEFAULT_PRECIS, DRAFT_QUALITY, 
		FF_DONTCARE, "Microsoft Sans Serif");

	CBitmap TrophyBMP;
	TrophyBMP.LoadBitmap(IDB_OTHERTROPHY);

  CDC dc;
  dc.Attach(lpDrawItemStruct->hDC);     //Get device context object
  CRect rt;
  rt = lpDrawItemStruct->rcItem;        //Get button rect


  CDC OurBMPDC;
  OurBMPDC.CreateCompatibleDC(&dc);
  OurBMPDC.SelectObject(&TrophyBMP);
  CBrush WoodBase(RGB(80, 40, 50));


  OurBMPDC.FillRect(CRect(2, 32, 44, 47), &WoodBase);
  OurBMPDC.SelectObject(&OutputFont);
  OurBMPDC.SetBkColor(RGB(195,195,20));
  OurBMPDC.SetTextColor(RGB(255, 255, 100));
  OurBMPDC.TextOut(5, 34, m_Fitness);
  OurBMPDC.SetBkMode(TRANSPARENT);
  OurBMPDC.SetTextColor(RGB(130, 130, 0));
  OurBMPDC.TextOut(6, 33, m_Fitness);
	
  UINT state = lpDrawItemStruct->itemState; //Get state of the button
  if ( (state & ODS_SELECTED) )            // If it is pressed
  {
	dc.DrawEdge(rt,EDGE_SUNKEN,BF_RECT);    // Draw a sunken face
	dc.BitBlt(3, 3, lpDrawItemStruct->rcItem.right, lpDrawItemStruct->rcItem.bottom, &OurBMPDC, 0, 0, SRCCOPY);
  }
  else
  {
	dc.DrawEdge(rt,EDGE_RAISED,BF_RECT);    // Draw a raised face
	dc.BitBlt(1, 1, lpDrawItemStruct->rcItem.right, lpDrawItemStruct->rcItem.bottom, &OurBMPDC, 0, 0, SRCCOPY);
  }


  if ( (state & ODS_FOCUS ) )       // If the button is focused
  {
    // Draw a focus rect which indicates the user 
    // that the button is focused
    int iChange = 3;
    rt.top += iChange;
    rt.left += iChange;
    rt.right -= iChange;
    rt.bottom -= iChange;
    dc.DrawFocusRect(rt);
  }
  dc.Detach();

	
}
