// CTabFitnessCalc.cpp : implementation file
//

#include "stdafx.h"
#include "GAPS2.h"
#include "TabFitnessCalc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTabFitnessCalc dialog


CTabFitnessCalc::CTabFitnessCalc(CWnd* pParent /*=NULL*/)
	: CDialog(CTabFitnessCalc::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTabFitnessCalc)
	//}}AFX_DATA_INIT
}


void CTabFitnessCalc::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTabFitnessCalc)
	DDX_Control(pDX, IDC_RAWFITNESS, c_RawFitnessFormula);
	DDX_Control(pDX, IDC_STANDARDIZEDFITNESS, c_StandardizedFitnessFormula);
	DDX_Control(pDX, IDC_STATICTEXT2, c_StaticText2);
	DDX_Control(pDX, IDC_STATICTEXT1, c_StaticText1);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTabFitnessCalc, CDialog)
	//{{AFX_MSG_MAP(CTabFitnessCalc)
	ON_WM_PAINT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTabFitnessCalc message handlers

BOOL CTabFitnessCalc::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	c_RawFitnessFormula.ShowWindow(SW_SHOW);
	c_StandardizedFitnessFormula.ShowWindow(SW_SHOW);
	c_StaticText1.ShowWindow(SW_SHOW);
	c_StaticText2.ShowWindow(SW_SHOW);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CTabFitnessCalc::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	

	CFont OutputFont;
	OutputFont.CreateFont(17, 8, 0, 0, FW_NORMAL, 0, 0, 0,
		DEFAULT_CHARSET, OUT_DEVICE_PRECIS, CLIP_DEFAULT_PRECIS, PROOF_QUALITY, 
		FF_DONTCARE, "Arial");

	dc.SelectObject(&OutputFont);

//	dc.SetTextColor(RGB(173, 245, 245));
	dc.TextOut(5,  5, _T("Fitness is calculated based on user parameters."));
	dc.TextOut(5, 20, _T("It can be a function based on an attribute, or it can be a calculation based on a Target value.  Enter"));
	dc.TextOut(5, 35, _T("calculations for Raw fitness (if applicable) and Standardized fitness.  If standardized fitness is a"));
	dc.TextOut(5, 50, _T("function of the Raw fitness, use the variable &Raw.  To use an attribute, use the ampersand then the "));
	dc.TextOut(5, 65, _T("attribute name. (e.g., &HeightOfTri.)  To use the target, use the variable &Target."));
	dc.TextOut(5, 80, _T("Note that an individual's final Adjusted Fitness is a summation of all standardized fitnesses calculated"));
	dc.TextOut(5, 95, _T("for each and every one of the argument-target executions"));
	
	// Do not call CDialog::OnPaint() for painting messages
}
