#include "MyListCtrl.h"
#include "ProgEdit.h"
#if !defined(AFX_TABUSERFUNCTIONS_H__8FD3BC62_50B3_4510_80BD_8489D71C5183__INCLUDED_)
#define AFX_TABUSERFUNCTIONS_H__8FD3BC62_50B3_4510_80BD_8489D71C5183__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TabUserFunctions.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTabUserFunctions dialog


class CTabUserFunctions : public CDialog
{
// Construction
public:
	CTabUserFunctions(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CTabUserFunctions)
	enum { IDD = IDD_USERFUNCTIONS };
	CStatic	c_FunctionCompileOutput;
	CProgEdit	c_FunctionText;
	CComboBox	c_ReturnType;
	CEdit	c_FunctionName;
	CStatic	c_FunctWithParamText;
	CTreeCtrl	c_UserFunctionSelection;
	CMyListCtrl	c_FunctParamList;
	CComboBox	c_ParameterType;
	CEdit	c_ParameterName;
	CButton	m_RemoveFunctionBtn;
	CButton	m_RemvFunctParamBtn;
	CButton	m_AddFunctionBtn;
	CButton	m_AddFunctParamBtn;
	//}}AFX_DATA

	HTREEITEM UserFnRoot;
	HTREEITEM BuiltInRoot;

	struct UserEnteredFunction a_UserEnteredFunctions[100];
	int m_TotalUserEnteredFunctions;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTabUserFunctions)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTabUserFunctions)
	afx_msg void OnAddfunctbtn();
	afx_msg void OnRmvfunctbtn();
	afx_msg void OnAddfparmbtn();
	afx_msg void OnRmvfparmbtn();
	virtual BOOL OnInitDialog();
	afx_msg void OnClickFunctparamlist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnCompilefuncbtn();
	afx_msg void OnChangeFunctname();
	afx_msg void OnKillfocusReturntypeselect();
	afx_msg void OnCrtnewfunctbtn2();
	afx_msg void OnDblclkUserfunctsel(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	bool UpdatingParm;
	void UpdateFuncText();

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TABUSERFUNCTIONS_H__8FD3BC62_50B3_4510_80BD_8489D71C5183__INCLUDED_)
